> For the complete documentation index, see [llms.txt](https://docs.ergonode.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ergonode.com/apps2/detailed-reference/synchronization/file-download-endpoint.md).

# File download endpoint

If an App purpose it to generate a file as a result of synchronization enable any of the following features based on your needs

* [synchronization\_file\_download](/apps2/detailed-reference/manifest.md#synchronization_file_download)
* [synchronization\_file\_download\_latest](/apps2/detailed-reference/manifest.md#synchronization_file_download_latest)

To allow access to Ergonode for generated files you need to implement the following endpoint.

#### /download-file

{% hint style="info" %}
Use `synchronization_id` claim from JWT to determine which file should be returned.
{% endhint %}

The endpoint should return the binary file.

The response can contain `content-type` and `content-length` HTTP headers so that those are passed to the browser on file download.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ergonode.com/apps2/detailed-reference/synchronization/file-download-endpoint.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
